<?  
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();  
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload		=	new autoloadClass(); 
$mecon			=	new condbClass();
$requestData	=	$_REQUEST; 
/*$columns = array(
	0	=>	'Id', 
	1	=>	'ReservationDate',
	2	=>	'Block',
	3	=>	'Lot',
	4	=>	'FullName', 
	5	=>	'BuyerOrientationDate',
	6	=>	'Conducted',
	7	=>	'Financing',
	8	=>	'PagibigTakeOutDate',
	9	=>	'HomeownerOrientation',
	10	=>	'Inspection',
	11	=>	'ReInspection',
	12	=>	'LetterSent',
	13	=>	'HouseAcceptance',
	14	=>	'PermitToOccupy',
	15	=>	'PermitToOccupyNumber',
	16	=>	'PTOStatus',
	17	=>	'ReservationStatus'
);*/   

$columns = array(
	0	=>	'Id', 
	1	=>	'ReservationDate',
	2	=>	'Block',
	3	=>	'Lot',
	4	=>	'FullName', 
	5	=>	'BuyerOrientationDate',
	6	=>	'Conducted',
	7	=>	'Financing',
	8	=>	'PagibigTakeOutDate',
	9	=>	'HomeownerOrientation',
	10	=>	'Inspection',
	11	=>	'LetterSent',
	12	=>	'HouseAcceptance',
	13	=>	'PermitToOccupy',
	14	=>	'PermitToOccupyNumber',
	15	=>	'PTOStatus',
	16	=>	'ReservationStatus'
);

$rangeStart = isset($_REQUEST['range_start']) ?  $_REQUEST['range_start'] : date('Y-m-d', strtotime(date('01-m-Y')));
$rangeEnd 	= isset($_REQUEST['range_end'])   ? $_REQUEST['range_end']	  : date("Y-m-t", strtotime(date('Y-m-d')));
$tobedate 	= isset($_REQUEST['tobe_stat_date'])   ? $_REQUEST['tobe_stat_date']	  : "yes";
$resultQuery 		= "SELECT r.ReservationStatus as ReservationStatus, r.Id as Id, r.Block as Block, r.Lot as Lot, CONCAT(r.LastName,', ',r.FirstName,' ',r.MiddleName) as Fullname, r.ReservationDate as ReservationDate,  
bsm.BuyerOrientationDate as BuyerOrientationDate,bsm.Conducted as Conducted,bsm.PagibigTakeOutDate as PagibigTakeOutDate, bsm.HomeownerOrientation as HomeownerOrientation, bsm.Inspection as Inspection, bsm.ReInspection as ReInspection, bsm.LetterSent as LetterSent, bsm.HouseAcceptance as HouseAcceptance, bsm.PermitToOccupy as PermitToOccupy, bsm.PermitToOccupyNumber as PermitToOccupyNumber,bsm.PTOStatus as PTOStatus, r.Project, r.Model, bpm.Financing as Financing FROM reservation r LEFT JOIN buyer_status_monitoring bsm ON bsm.ReservationId=r.Id LEFT JOIN buyer_payment_monitoring bpm ON bpm.ReservationId=r.Id"; 
 
$sql			=	$resultQuery."  WHERE r.Status = 'active' "; 
if(!empty($requestData['search']['value']) ) { 
	$arr = explode(" ",$requestData['search']['value']);  
	foreach($arr as $ind){
		$ind = str_replace(',','',$ind);
		$sql.=" AND (r.Block LIKE '%".$ind."%' "; 
		$sql.=" OR r.Lot LIKE '%".$ind."%' ";
		$sql.=" OR r.Project LIKE '%".$ind."%' ";
		$sql.=" OR r.Model LIKE '%".$ind."%' ";
		$sql.=" OR bsm.Conducted LIKE '%".$ind."%' ";
		$sql.=" OR bpm.Financing LIKE '%".$ind."%' ";
		$sql.=" OR bsm.PTOStatus LIKE '%".$ind."%' ";
		$sql.=" OR bsm.PermitToOccupyNumber LIKE '%".$ind."%' ";
		$sql.=" OR CONCAT(r.LastName,', ',r.FirstName,' ',r.MiddleName) LIKE '%".htmlentities($ind)."%' ";
		$sql.=" OR UPPER(DATE_FORMAT(bsm.PermitToOccupy,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(bsm.HouseAcceptance,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(bsm.LetterSent,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(bsm.HomeownerOrientation,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(bsm.ReInspection,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(bsm.Inspection,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(bsm.PagibigTakeOutDate,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(bsm.BuyerOrientationDate,'%m/%d/%Y')) LIKE '%".$ind."%'  ";   
		$sql.=" OR UPPER(DATE_FORMAT(r.ReservationDate,'%m/%d/%Y')) LIKE '%".$ind."%' ) ";   
	}
}

if($tobedate=="yes"){ 
		if( !empty($requestData['columns'][0]['search']['value']) && !empty($requestData['columns'][1]['search']['value']) ){
			$sql .= " AND r.ReservationDate BETWEEN ('".date('Y-m-d', strtotime($requestData['columns'][0]['search']['value']))."') AND ('".date('Y-m-d', strtotime($requestData['columns'][1]['search']['value']))."')";
		}else if( !empty($requestData['columns'][0]['search']['value'])){
			$sql .= " AND r.ReservationDate >= ('".date('Y-m-d', strtotime($requestData['columns'][0]['search']['value']))."') ";
		}else if( !empty($requestData['columns'][1]['search']['value'])){
			$sql .= " AND r.ReservationDate <= ('".date('Y-m-d', strtotime($requestData['columns'][1]['search']['value']))."') ";
		}

		if( !empty($rangeStart) && !empty($rangeEnd) ){
			$sql .= " AND r.ReservationDate BETWEEN ('".date('Y-m-d', strtotime($rangeStart))."') AND ('".date('Y-m-d', strtotime($rangeEnd))."')";
		}else if( !empty($rangeStart)){
			$sql .= " AND r.ReservationDate >= ('".date('Y-m-d', strtotime($rangeStart))."') ";
		}else if( !empty($rangeEnd)){
			$sql .= " AND r.ReservationDate <= ('".date('Y-m-d', strtotime($rangeEnd))."') ";
		}
}
$mecon->query($sql);
$result			= $mecon->resultset(); 
$totalData		= count($result);
$totalFiltered	=	$totalData;
  
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']." , cast(Block as unsigned) asc, cast(Lot as unsigned) asc LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 
 
$data = array(); 
$mecon->query($sql);
$result			= $mecon->resultset();  

		for($a=0; $a<count($result); $a++){
			$nestedData	=	array(); 
	$nestedData[] = $result[$a]['Id'];
	$nestedData[] = (($result[$a]['ReservationDate']=='1970-01-01') || ($result[$a]['ReservationDate']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['ReservationDate']));
	$nestedData[] = html_entity_decode(stripslashes($result[$a]['Block']));
	$nestedData[] = html_entity_decode(stripslashes($result[$a]['Lot']));
	//$nestedData[] = html_entity_decode(stripslashes($result[$a]['Fullname']));
	
$nestedData[] = '<span style="word-wrap:break-word; word-break:break-all;">'.wordwrap($result[$a]['Fullname'],20,"<br>\n").'</span>';
	
	$nestedData[] = (($result[$a]['BuyerOrientationDate']=='1970-01-01') || ($result[$a]['BuyerOrientationDate']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['BuyerOrientationDate']));
	 
	$nestedData[] = $result[$a]['Conducted'];
	$nestedData[] = $result[$a]['Financing'];

	$nestedData[] = (($result[$a]['PagibigTakeOutDate']=='1970-01-01') || ($result[$a]['PagibigTakeOutDate']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['PagibigTakeOutDate']));

	$nestedData[] = (($result[$a]['HomeownerOrientation']=='1970-01-01') || ($result[$a]['HomeownerOrientation']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['HomeownerOrientation']));

	$nestedData[] = (($result[$a]['Inspection']=='1970-01-01') || ($result[$a]['Inspection']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['Inspection']));
	
	//$nestedData[] = (($result[$a]['ReInspection']=='1970-01-01') || ($result[$a]['ReInspection']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['ReInspection']));
	
	$nestedData[] = (($result[$a]['LetterSent']=='1970-01-01') || ($result[$a]['LetterSent']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['LetterSent']));
	
	$nestedData[] = (($result[$a]['HouseAcceptance']=='1970-01-01') || ($result[$a]['HouseAcceptance']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['HouseAcceptance']));
	
	$nestedData[] = (($result[$a]['PermitToOccupy']=='1970-01-01') || ($result[$a]['PermitToOccupy']=='')) ? "" : date('m/d/Y', strtotime($result[$a]['PermitToOccupy']));
 
			$nestedData[] = strtoupper(html_entity_decode(stripslashes($result[$a]['PermitToOccupyNumber'])));
			$nestedData[] = strtoupper(html_entity_decode(stripslashes($result[$a]['PTOStatus'])));
			$nestedData[] = strtoupper(html_entity_decode(stripslashes($result[$a]['ReservationStatus'])));
			 
			$data[] = $nestedData;
		} 
$json_data = array(
			"draw"            => intval( $requestData['draw'] ),
			"recordsTotal"    => intval( $totalData ),
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);
			 
echo json_encode($json_data);
exit();
ob_end_flush();